List deliverys
curl --request GET \
--url https://api.truecold.io/delivery \
--header 'x-api-key: <api-key>'import requests
url = "https://api.truecold.io/delivery"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.truecold.io/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"shipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiver_code": "<string>",
"receiver_name": "<string>",
"carrier_code": "<string>",
"carrier_name": "<string>",
"route_code": "<string>",
"route_name": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transport_mode": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"temperature_range_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emails_to_notify": [
"<string>"
],
"carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"risk_score": 123
}
]{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Deliveries
List deliverys
GET
/
delivery
List deliverys
Authorizations
API key for authentication. Contact your administrator to get an API key.
Query Parameters
Search term to filter results
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Response
Successfully retrieved deliverys
Unique identifier
Creation timestamp
code code
Shipment ID
receiver code
receiver name
carrier code
carrier name
route code
route name
Account ID
Site ID
Transport Mode
started timestamp
ended timestamp
Soft deletion timestamp
User who soft deleted the record
Last update timestamp
Temperature range ID
Email address
Carrier ID
Receiver ID
Risk score
